/*
 * Copyright 2015 Freescale Semiconductor, Inc.
 * Copyright 2015-2021 NXP.
 *
 * License: LA_OPT_NXP_Software_License
 *
 * This software is owned or controlled by NXP and may
 * only be used strictly in accordance with the applicable license terms.
 * By expressly accepting such terms or by downloading, installing,
 * activating and/or otherwise using the software, you are agreeing that
 * you have read, and that you agree to comply with and are bound by,
 * such license terms. If you do not agree to be bound by the applicable
 * license terms, then you may not retain, install, activate or otherwise
 * use the software.
 *
 * @version 4.0
 *
 * @brief safety test items
 * 
 */

#include "safety_config.h"
#include "iec60730b.h"

#ifndef NULL
#ifdef __cplusplus
#define NULL (0)
#else
#define NULL ((void *) 0)
#endif
#endif

#if defined(__IAR_SYSTEMS_ICC__)
#pragma location =  ".safety_ram"
#endif

/*******************************************************************************
*                                                                              *
*                           STRUCTURE FOR DIO Initialization and TEST          *
*                                                                              *
*******************************************************************************/

fs_dio_test_t dio_safety_test_item_0 = /* P1_14 */
{
		/*.gpio =*/ GPIO_BASE,   /* Pointer to GPIO module  */
		/*.pinNum =*/ TESTED_PIN_1, /* Pin Number */
		/*.pinDir =*/ 0, /* In or Out 0 and 1*/
		/*.pinMux =*/ 0, /*  */
};

fs_dio_test_t dio_safety_test_item_1 = /* P1_20 */
{
		/*.gpio = */GPIO_BASE,   /* Pointer to GPIO module  */
		/*.pinNum =*/ TESTED_PIN_2,
		/*.pinDir =*/ 0,
		/*.pinMux =*/ 1, 
};

/* NULL terminated array of pointers to dio_test_t items for safety DIO test */
fs_dio_test_t *dio_safety_test_items[3]={ &dio_safety_test_item_0, &dio_safety_test_item_1, NULL };

