/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of Freescale Semiconductor, Inc. nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef _PROJECT_SETUP_MC56F83789_H_
#define _PROJECT_SETUP_MC56F83789_H_


#include "safety_config.h"
#include "fsl_pit.h"

/*******************************************************************************
 * Definitions
 ******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/* GPIO - Register Layout Typedef */
/*typedef struct
{
	  uint16_t PUR;     GPIO Pull Resistor Enable Register, offset: 0x0 
	  uint16_t DR;      GPIO Data Register, offset: 0x1 
	  uint16_t DDR;     GPIO Data Direction Register, offset: 0x2 
	  uint16_t PER;     GPIO Peripheral Enable Register, offset: 0x3 
	  uint16_t IAR;     GPIO Interrupt Assert Register, offset: 0x4 
	  uint16_t IENR;    GPIO Interrupt Enable Register, offset: 0x5 
	  uint16_t IPOLR;   GPIO Interrupt Polarity Register, offset: 0x6 
	  uint16_t IPR;     GPIO Interrupt Pending Register, offset: 0x7 
	  uint16_t IESR;    GPIO Interrupt Edge Sensitive Register, offset: 0x8 
	  uint16_t PPMODE;  GPIO Push-Pull Mode Register, offset: 0x9 
	  uint16_t RAWDATA; GPIO Raw Data Register, offset: 0xA 
	  uint16_t DRIVE;   GPIO Drive Strength Control Register, offset: 0xB 
	  uint16_t PUS;     PGPIO Pull Resistor Type Select Register, offset: 0xC 
	  uint16_t SRE;     Slew Rate Control Register, offset: 0xD 
} GPIO_Type;*/


/*!
 * @name Project setup functions
 * @{
 */
/*******************************************************************************
 * API
 ******************************************************************************/
void PortInit(GPIO_Type *pGpio, uint16_t pinDir, uint16_t pinNum, uint16_t pull);

void PIT0_initialization(uint16_t pit_timeout, pit_prescaler_value_t divide_by);
void PIT1_initialization(uint32_t pit_timeout, pit_prescaler_value_t divide_by);
void TMRA0_initialization(void);
void ClockInit(void);
void PinsInit(void);
void ADC_Init(void);
void watchdogEnable(unsigned long timeout_in_us);
void watchdogRefresh(void);

 #ifdef __cplusplus
}
#endif

#endif /* _PROJECT_SETUP_MC56F83789_H_ */
