/*******************************************************************************
*
* File Name: appconfig.h
*
* Description: file for static configuration of the application
*              (initial values, interrupt vectors)
*
*****************************************************************************/

#ifndef __APPCONFIG_H
#define __APPCONFIG_H

/*.*************************************************************************
*
*  File generated by Graphical Configuration Tool Mon, 27/Jan/2020, 20:30:29
*
****************************************************************************.*/

#define MC56F83789
#define EXTCLK 8000000L
#define EXTAL 8000000L
#define APPCFG_DFLTS_OMITTED 1
#define APPCFG_GCT_VERSION 0x0207000bL

/*.
    OCCS Configuration
--------------------------------------------
    Enable internal 200 kHz oscillator: Yes
    Use Factory Trim Value: No 
    Frequency trim value for 200 kHz oscillator: 256
    Power Down crystal oscillator: No 
    Core frequency: 50 MHz 
    VCO frequency: 200 MHz 
    Loss of lock interrupt 0: Disable 
    Loss of lock interrupt 1: Disable 
    Loss of reference clock Interrupt: Disable
.*/
#define OCCS_CTRL_INIT                    0x0085U
#define OCCS_DIVBY_INIT                   0x2018U
#define OCCS_OSCTL1_INIT                  0x0220U
#define OCCS_OSCTL2_INIT                  0x0100U

/*.
    COP Configuration
--------------------------------------------
    COP clock source: 8MHz clock from 48MHz/6 
    COP operation: Enable 
    COP timeout: 100.096 ms 
    COP Runs in Stop Mode: No 
    COP Runs in Wait Mode: No 
    COP Write Protect: No 
    Enable Loss of Clock COP: No 
    Enable COP Warning Interrupt: No 
    COP Warning Interrupt Timeout: 32.64 ms 
    COP Window Timeout: 3.2 sec
.*/
#define COP_COPCTL_INIT                   0x0302U
#define COP_COPTO_INIT                    0x030EU
#define COP_WINDOW_INIT                   0x61A8U

/*.
    SYS Configuration
--------------------------------------------
    SIM: Power Saving Modes: Stop enabled 
    Wait enabled 
         OnCE clock to processor core: Enabled when core TAP enabled 
    DMA Enable in RUN and WAIT modes: DMA enabled in all power modes 
    Enable External Reset Input Filter : No , SIM - Clock on GPIO: Enable CLKO_0: No 
    SIM - Clock on GPIO: Enable CLKO_1: No 
    SIM - Peripheral Clock Enable: GPIO G: Yes, GPIO F: Yes, GPIO E: Yes, GPIO D: Yes, GPIO C: Yes, GPIO B: No , GPIO A: Yes, TMR A0: Yes
                                   TMR A1: Yes, TMR A2: No , TMR A3: No , TMR B0: No , TMR B1: No , TMR B2: No , TMR B3: No , DAC_A: No 
                                   DAC_B: No 
                                   SCI_0: No , SCI_1: No , SCI_2: Yes, QSPI_0: No , QSPI_1: No , IIC_0: No , IIC_1: No , FLEXCAN: No 
                                   CMP A: No , CMP B: No , CMP C: No , CMP D: No , CYC ADC: Yes, CRC: Yes, PIT_0: Yes, PIT_1: Yes, PWMA_SM0: No , PWMA_SM1: No , PWMA_SM2: No , PWMA_SM3: No 
                                   PWMB_SM0: No , PWMB_SM1: No , PWMB_SM2: No , PWMB_SM3: No , ROM: No , SIM - Modules Enabled in Stop: GPIO G: No 
    SIM - Modules Enabled in Stop: GPIO F: No , GPIO E: No , GPIO D: No , GPIO C: No , GPIO B: No , GPIO A: No 
                                   TMR A0: No , TMR A1: No , TMR A2: No , TMR A3: No , TMR B0: No , TMR B1: No , TMR B2: No , TMR B3: No , DAC_A: No 
                                   DAC_B: No 
                                   SCI_0: No , SCI_1: No , SCI_2: No , QSPI_0: No , QSPI_1: No , IIC_0: No , IIC_1: No , FLEXCAN: No 
                                   CMP A: No , CMP B: No , CMP C: No , CMP D: No , CYC ADC: No , CRC: No , PIT_0: No , PIT_1: No , PWMA_SM0: No , PWMA_SM1: No , PWMA_SM2: No , PWMA_SM3: No 
                                   PWMB_SM0: No , PWMB_SM1: No , PWMB_SM2: No , PWMBSM3: No 
                                   ROM: No , USB: No , Protection of IPS and GPSxx  : Registers not protected 
    Protection of PCE, SD and PCR: Registers not protected 
    Protection of GPIO Port D: Registers not protected 
    Protection of PWRMODE: Registers not protected 
    GPIO Peripheral select registers (GPSn): ANA0/CMPA3 
                                             USB_SOFOUT 
                                             ANB1/CMPB_IN0 
                                             CMPD_O 
                                             EXTAL 
                                             TXD0 
                                             RXD0 
                                             TA1 
                                             XB_IN7 
                                             TA2 
                                             SS0_B 
                                             MISO0 
                                             SCLK0 
                                             MOSI0 
                                             CANTX 
                                             CANRX 
                                             TA3 
                                             SDA0 
                                             SCL0 
                                             RXD2 
                                             TXD2 
                                             XB_OUT11 
                                             PWMA_0B 
                                             PWMA_0A 
                                             PWMA_1B 
                                             PWMA_1A 
                                             PWMA_2B 
                                             PWMA_2A 
                                             PWMA_3B 
                                             PWMA_3A 
                                             PWMB_2B 
                                             PWMB_2A 
                                             XB_IN6 
                                             CLKO_1 
                                             SCL1 
                                             SDA1 
                                             TXD1 
                                             RXD1 
                                             TB2 
                                             TB3 
                                             RXD0 
                                             RXD2 
                                             TXD2 
                                             TXD0 
                                             MISO1 
                                             MOSI1 
                                             SCLK1 
                                             RXD0 
                                             PWM1B 
                                             XB_OUT7 
                                             PWM0B 
                                             PWM0A 
                                             PWM3B 
                                             PWM3A 
                                             PWMA_FAULT4 
                                             PWMA_FAULT5 
                                             PWMB_0X 
                                             PWMB_1X 
                                             PWMB_2X 
                                             TB3 
    Internal Peripheral Select Register 0 (IPS0): XB_OUT38 
                                                  XB_OUT39 
                                                  GPIO C6/G8 
                                                  GPIO C13/G9 
                                                  GPIO C2 
                                                  GPIO F8 
                                                  XB_OUT36 
                                                  GPIO F7/G11 
                                                  FAULT0 input pin (GPIO E8) 
                                                  FAULT1 input pin (GPIO E9) 
                                                  FAULT2 input pin (GPIO G4) 
                                                  FAULT3 input pin (GPIO G5) 
                                                  FAULT0 input pin (GPIO F14) 
                                                  FAULT1 input pin (GPIO F13) 
                                                  FAULT2 input pin (GPIO F12) 
    Miscellaneous Register 0 (SIM_MISC0): CLKIN0 (GPIOC0 alt1) 
                                          PIT0 master, PIT1 slave 
                                          Normal Order 
                                          Enable 
    SIM - Interrupts: Low voltage 2.2V: Disable
                      Low voltage 2.7V: Disable
                      High voltage 2.2V: Disable
                      High voltage 2.7V: Disable
    Enable Voltage Reference Buffer: Yes
    Bandgap trim: 7, Use Factory Trim Value: No 
    Power Control: Large Regulator Standby mode: Normal 
                   Small Regulator 2.7 V Supply Standby mode: Normal 
                   Small Regulator 2.7 V Supply Powerdown mode: Normal 
                   Small Regulator 1.2 V Supply Standby mode: Normal 
    Xbar Input from ADC and TMRA/B (SIM_ADC_TMR_SEL): TMRB0 
                                                      TMRB1 
                                                      TMRB2 
                                                      TMRB3 
                                                      TMRA0 
                                                      TMRA1 
                                                      TMRA2 
                                                      TMRA3 
    Xbar Input from PWMA and PWMB (SIM_PWM_SEL): PWMA0 Mux Trig0 
                                                 PWMA0 Mux Trig1 
                                                 PWMA1 Mux Trig0 
                                                 PWMA1 Mux Trig1 
                                                 PWMA2 Mux Trig0 
                                                 PWMA2 Mux Trig1 
                                                 PWMA3 Mux Trig0 
                                                 PWMA3 Mux Trig1 
                                                 PWMB0 Mux Trig0 
                                                 PWMA0 Out Trig1 
                                                 PWMB1 Mux Trig0 
                                                 PWMB1 Mux Trig1 
                                                 PWMB2 Mux Trig0 
                                                 PWMB2 Mux Trig0 
                                                 PWMB3 Mux Trig0 
                                                 PWMB3 Mux Trig1 
    Change boot flag bits (SIM_BOOT_MODE_OVERRIDE): FOPT[6,7] not masked
.*/
#define SIM_CLKOSR_INIT                   0xD020U
#define PMC_CONTROL_INIT                  0x7080U
#define SIM_GPSAH_INIT                    0x00C0U
#define SIM_GPSCL_INIT                    0x0480U
#define SIM_GPSGL_INIT                    0x0004U
#define SIM_PCE0_INIT                     0xC05FU
#define SIM_PCE1_INIT                     0x0402U
#define SIM_PCE2_INIT                     0x00ACU
#define SIM_PCE3_INIT                     0x0000U
#define SIM_IPS0_INIT                     0x4300U
#define SIM_PWM_SEL_INIT                  0x0200U

/*.
    INTC Configuration
--------------------------------------------
.*/
#define INTC_ICTL_INIT                    0x0000U
#define INT_VECTOR_ADDR_94                Pit1Isr
#define INT_PRIORITY_LEVEL_94             INTC_LEVEL0

/*.
    QT_A0 Configuration
--------------------------------------------
    Count mode: Counting mode, count rising edges of primary source 
    Timer Channel Enabled (counter starts counting immediatelly after initialized): Yes
    Primary source: Prescaler (IPB clock/ 1) , Secondary: Counter #0 input pin 
    Input polarity: True , Output polarity: True 
    Input capture mode: Load capture register on rising edge of secondary input 
    Output mode: Asserted while counter is active 
    Count stop mode: Count repeatedly , Count length: Roll over , Count direction: Count up 
    Output enable (OFLAG to pin): No 
    Force OFLAG output at startup: No , Forced OFLAG value: 0
    Master mode (broadcast compare event): Disable
    Enable external OFLAG force (on broadcasted event): No 
    Co-channel initialization (on broadcasted event): No 
    Preload Control: 1: Never , Load Reg: 0
                     2: Never , Load Reg: 0
    Interrupts: Overflow: Disabled
                Input edge: Disabled
                Compare: Disabled
                Cmp 1: Disabled
                Cmp 2: Disabled
    Input Filter: Input Signal Sampling [timer clocks] : 0
                  Consecutive Samples Required to Agree: 3 
                  Input Signal Latency: OFF 
    Fault function: No 
    Alternative Load: No 
    Reload on Capture: Yes
    Debug action: Continue 
    Enable DMA write for Comparator Preload Register CMPLD1: No 
    Enable DMA write for Comparator Preload Register CMPLD2: No 
    Enable DMA read for Input Edge Flag: No
.*/
#define QT_A0_CTRL_INIT                   0x3000U
#define QT_A0_SCR_INIT                    0x0040U
#define QT_A0_COMSCR_INIT                 0x0800U

/*.
    PIT_0 Configuration
--------------------------------------------
    Counter Enable: Enable 
    Clock Prescaler: / 1 
    Modulo Value: 1
    Interrupt Enable: Disable
    Clock source: RC Oscillator 200 kHz
.*/
#define PIT_0_CTRL_INIT                   0x0301U
#define PIT_0_MOD_INIT                    0x0001U

/*.
    PIT_1 Configuration
--------------------------------------------
    Counter Enable: Enable 
    PIT 0 Slave Mode: Disable
    Clock Prescaler: / 1 
    Modulo Value: 40000
    Interrupt Enable: Disable
    Clock source: RC Oscillator 200 kHz
.*/
#define PIT_1_CTRL_INIT                   0x0301U
#define PIT_1_MOD_INIT                    0x9C40U

/*.
    GPIO_A Configuration
--------------------------------------------
    Pin  0: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  1: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  2: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  3: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  4: Function: ANA4/ANC8/CMPD_IN0 , PullUp: Disable , 
    Pin  5: Function: ANA5 , PullUp: Disable , 
    Pin  6: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  7: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  8: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  9: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 10: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 11: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high ,
.*/
#define GPIO_A_PER_INIT                   0x0030U

/*.
    GPIO_C Configuration
--------------------------------------------
    Pin  0: Function: EXTAL , PullUp: Disable , 
    Pin  1: Function: XTAL , PullUp: Disable , 
    Pin  2: Function: GPIO , Direction: Input , PullUp: Enable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  3: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  4: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  5: Function: XB_IN7 , PullUp: Disable , 
    Pin  6: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  7: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  8: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  9: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 10: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 11: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 12: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 13: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 14: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 15: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high ,
.*/
#define GPIO_C_PUR_INIT                   0x0004U
#define GPIO_C_PER_INIT                   0x0023U
#define GPIO_C_PUS_INIT                   0xFFD3U

/*.
    GPIO_D Configuration
--------------------------------------------
    Pin  0: Function: TDI , PullUp: Enable , 
    Pin  1: Function: TDO , PullUp: Disable , 
    Pin  2: Function: TCK , PullUp: Enable , 
    Pin  3: Function: TMS , PullUp: Enable , 
    Pin  4: Function: RESET , PullUp: Enable , 
    Pin  5: Function: RXD2 , PullUp: Disable , 
    Pin  6: Function: TXD2 , PullUp: Disable , 
    Pin  7: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high ,
.*/
#define GPIO_D_PER_INIT                   0x007FU
#define GPIO_D_PPMODE_INIT                0xFF9FU

/*.
    GPIO_E Configuration
--------------------------------------------
    Pin  0: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  1: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  2: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  3: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  4: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  5: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  6: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  7: Function: GPIO , Direction: Output , Init.Value: Low - 0 , Interrupt: Disable, Int.Polarity: Active high , Output-Mode: Push-pull , 
    Pin  8: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  9: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high ,
.*/
#define GPIO_E_DDR_INIT                   0x00FFU
#define GPIO_E_PER_INIT                   0x0000U

/*.
    GPIO_F Configuration
--------------------------------------------
    Pin  0: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  1: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  2: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  3: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  4: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  5: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  6: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  7: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  8: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  9: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 10: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 11: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 12: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 13: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 14: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 15: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high ,
.*/
#define GPIO_F_PER_INIT                   0x0000U
#define GPIO_F_DR_INIT                    0x0040U
#define GPIO_F_PUS_INIT                   0x3FFFU

/*.
    GPIO_G Configuration
--------------------------------------------
    Pin  0: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  1: Function: XB_OUT7 , PullUp: Disable , 
    Pin  2: Function: PWMB_0B , PullUp: Disable , 
    Pin  3: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  4: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  5: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  6: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  7: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  8: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin  9: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 10: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high , 
    Pin 11: Function: GPIO , Direction: Input , PullUp: Disable , Interrupt: Disable, Int.Polarity: Active high ,
.*/
#define GPIO_G_PER_INIT                   0x0006U

/*.
    XBAR_A Configuration
--------------------------------------------
    0. DMARequest0.: Logic0 
    1. DMARequest1.: Logic0 
    2. DMARequest2.: Logic0 
    3. DMARequest3.: Logic0 
    4. PackagePinGPIO_C14/GPIO_E0/GPIO_G2.: Logic0 
    5. PackagePinGPIO_C15/GPIO_E1/GPIO_G3.: Logic0 
    6. PackagePinGPIO_C7/GPIO_E2/GPIO_F2/GPIO_G0.: GPIO_C6/GPIO_E5/GPIO_F7 
    7. PackagePinGPIO_E3/GPIO_F3/GPIO_G1.: Logic0 
    8. PackagePinGPIO_C9/GPIO_D6/GPIO_E4/GPIO_E8/GPIO_F4/GPIO_G6.: Logic0 
    9. PackagePinGPIO_D5/GPIO_C10/GPIO_E5/GPIO_E9/GPIO_F5/GPIO_G7.: GPIO_C10/GPIO_E7/GPIO_D5 
    10. PackagePinGPIO_A11/GPIO_E6/GPIO_F10/GPIO_G4/GPIO_G8.: Logic0 
    11. PackagePinGPIO_D7/GPIO_F9/GPIO_G9/GPIO_G5/GPIO_E7.: Logic0 
    12. ADCA(CyclicADC)Trigger.: Logic0 
    13. ADCB(CyclicADC)Trigger.: Logic0 
    14. 12-bitDACBSYNC_IN.: Logic0 
    15. 12-bitDACASYNC_IN.: Logic0 
    16. ComparatorAWindow/Sample.: Logic0 
    17. ComparatorBWindow/Sample.: Logic0 
    18. ComparatorCWindow/Sample.: Logic0 
    19. ComparatorDWindow/Sample.: Logic0 
    20. PWMA0andPWMB0PWMControlSignalOnEXTAinput.: Logic0 
    21. PWMA1andPWMB1PWMControlSignalOnEXTAinput.: Logic0 
    22. PWMA2andPWMB2PWMControlSignalOnEXTAinput.: Logic0 
    23. PWMA3andPWMB3PWMControlSignalOnEXTAinput.: Logic0 
    24. PWMA0ExternalSynchronizationsignal.: Logic0 
    25. PWMA1ExternalSynchronizationsignal.: Logic0 
    26. PWMA2ExternalSynchronizationsignal.: Logic0 
    27. PWMA3ExternalSynchronizationsignal.: Logic0 
    28. PWMAandPWMBExternalClocksignal.: Logic0 
    29. PWMAandPWMBmoduleFAULT0.: Logic0 
    30. PWMAandPWMBmoduleFAULT1.: Logic0 
    31. PWMAandPWMBmoduleFAULT2.: Logic0 
    32. PWMAandPWMBmoduleFAULT3.: Logic0 
    33. PWMAExternalOutputForcesignal.: Logic0 
    34. QuadTimerB0Input.: Logic0 
    35. QuadTimerB1Input.: Logic0 
    36. QuadTimerB2Input.: Logic0 
    37. QuadTimerB3Input.: Logic0 
    38. QuadTimerA0Input.: PIT0_SYNC_OUT 
    39. QuadTimerA1Input.: PIT0_SYNC_OUT 
    40. QuadTimerA2Input.: Logic0 
    41. QuadTimerA3Input.: Logic0 
    42. PWMB0ExternalSynchronizationsignal.: Logic0 
    43. PWMB1ExternalSynchronizationsignal.: Logic0 
    44. PWMB2ExternalSynchronizationsignal.: Logic0 
    45. PWMB3ExternalSynchronizationsignal.: Logic0 
    46. PWMBExternalOutputForcesignal.: Logic0 
    47. EVTG0_AInput.: Logic0 
    48. EVTG0_BInput.: Logic0 
    49. EVTG0_CInput.: Logic0 
    50. EVTG0_DInput.: Logic0 
    51. EVTG1_AInput.: Logic0 
    52. EVTG1_BInput.: Logic0 
    53. EVTG1_CInput.: Logic0 
    54. EVTG1_DInput.: Logic0 
    55. EVTG2_AInput.: Logic0 
    56. EVTG2_BInput.: Logic0 
    57. EVTG2_CInput.: Logic0 
    58. EVTG2_DInput.: Logic0 
    59. EVTG3_AInput.: Logic0 
    60. EVTG3_BInput.: Logic0 
    61. EVTG3_CInput.: Logic0 
    62. EVTG3_DInput.: Logic0 
    63. ExternalWatchdogMonitor.: Logic0 
    Edge Detection: Never 
    Enable DMA: No 
    Enable Interrupt Out0: No 
    Edge Detection: Never 
    Enable DMA: No 
    Enable Interrupt Out1: No 
    Edge Detection: Never 
    Enable DMA: No 
    Enable Interrupt Out2: No 
    Edge Detection: Never 
    Enable DMA: No 
    Enable Interrupt Out3: No
.*/
#define XBAR_A_SEL3_INIT                  0x0003U
#define XBAR_A_SEL4_INIT                  0x0500U
#define XBAR_A_SEL19_INIT                 0x2C2CU

/*.
    ADC Configuration
--------------------------------------------
    Clock frequency: 10 MHz 
    Trigger source: Software only 
    Channel Configuration: ANA0-ANA1: Single ended , 
                           ANA2-ANA3: Single ended , 
                           ANB0-ANB1: Single ended , 
                           ANB2-ANB3: Single ended , 
                           ANA4-ANA5: Single ended , 
                           ANA6-ANA7: Single ended , 
                           ANB4-ANB5: Single ended , 
                           ANB6-ANB7: Single ended , 
    Channel to Sample Mapping: SMP0: ANA4 , SMP1: ANA5 , 
    Scan Mode: Triggered parallel 
    ANB simulataneous to ANA: No 
    Enabled samples: / SMP0 SMP1 / / / / 
    Zero crossing mode: SMP0: Disabled , SMP1: Disabled , SMP2: Disabled , SMP3: Disabled 
                        SMP4: Disabled , SMP5: Disabled , SMP6: Disabled , SMP7: Disabled 
                        SMP8: Disabled , SMP9: Disabled , SMP10: Disabled , SMP11: Disabled 
                        SMP12: Disabled , SMP13: Disabled , SMP14: Disabled , SMP15: Disabled 
                        SMP16: Disabled , SMP17: Disabled , SMP18: Disabled , SMP19: Disabled 
    Auto Power Down Mode: Disable
    Power down converter A (ANA0-ANA7): No 
    Power down converter B (ANB0-ANB7): No 
    Power down voltage reference: Yes
    Power up delay: 32, Power Control: 3.2 us 
    Converter1 VREFLO source: Internal VSSA
    Converter1 VREFH  source: Internal VDDA
    Converter0 VREFLO source: Internal VSSA
    Converter0 VREFH  source: Internal VDDA
    Interrupts: ANA Conversion complete: Disabled
                ANB Conversion complete: Disabled
                High limit error: Disabled
                Low limit error: Disabled
                Zero crossing: Disabled
    ANA channel Gain Configuration: Gain ANA0: 1x , Gain ANA1: 1x 
                                    Gain ANA2: 1x , Gain ANA3: 1x 
                                    Gain ANA4: 1x , Gain ANA5: 1x 
                                    Gain ANA6: 1x , Gain ANA7: 1x 
                                    Gain ANA temp.: 1x , Gain ANA Ain.: 1x 
    ANB channel Gain Configuration: Gain ANB0: 1x , Gain ANB1: 1x 
                                    Gain ANB2: 1x , Gain ANB3: 1x 
                                    Gain ANB4: 1x , Gain ANB5: 1x 
                                    Gain ANB6: 1x , Gain ANB7: 1x 
                                    Gain ANB temp.: 1x , Gain ANB Ain.: 1x 
    ANA Enable: No 
    ANB Enable: No 
    DMA Trigger Source: End Scan 
    ADCA6 input source: Normal (ADCA6 pin) 
    ADCA7 input source: On-chip analog input 
    ADCB6 input source: Normal (ADCB6 pin) 
    ADCB7 input source: Normal (ADCB7 pin)
.*/
#define ADC_ADCR1_INIT                    0x0005U
#define ADC_ADCR2_INIT                    0x4004U
#define ADC_ADLST1_INIT                   0x3554U
#define ADC_ADLST2_INIT                   0x7654U
#define ADC_ADLST3_INIT                   0xBA98U
#define ADC_ADLST4_INIT                   0xFEDCU
#define ADC_ADSDIS_INIT                   0xFFFCU
#define ADC_ADCPOWER_INIT                 0x1E04U
#define ADC_ADLST5_INIT                   0x02E4U

/*.
    SCI_0 Configuration
--------------------------------------------
    Baudrate: 56054 bps 
    Enable Receiver: Enable 
    Enable Transmitter: Enable 
    Data word length: 8 bits 
    Parity: None 
    Polarity: True polarity 
    Loop mode: Disable
    Function in Wait Mode: SCI module enabled in Wait Mode 
    Interrupts: RX Full: Disable
                RX Error: Disable
                TX Empty: Disable
                TX Empty: Disable
    Enable RX and TX FIFO Queues: Disable
    RX Active Edge: Disable
    Enable TX DMA: Disable
    Enable RX DMA: Disable
    Hold off entry to stop mode: No 
    Rx Idle: Disable
.*/
#define SCI_0_SCIBR_INIT                  0x01BEU
#define SCI_0_SCICR_INIT                  0x000CU
#define SCI_0_SCICR2_INIT                 0x0000U
#define SCI_0_RX_BUFFER_OKLIMIT           0x000FU
#define SCI_0_RX_BUFFER_LOWLIMIT          0x000AU
#define SCI_0_SCICR3_INIT                 0x0000U

/*.
    SCI_2 Configuration
--------------------------------------------
    Baudrate: 9619 bps 
    Enable Receiver: Enable 
    Enable Transmitter: Enable 
    Data word length: 8 bits 
    Parity: None 
    Polarity: True polarity 
    Loop mode: Disable
    Function in Wait Mode: SCI module enabled in Wait Mode 
    Interrupts: RX Full: Disable
                RX Error: Disable
                TX Empty: Disable
                TX Empty: Disable
    Enable RX and TX FIFO Queues: Disable
    RX Active Edge: Disable
    Enable TX DMA: Disable
    Enable RX DMA: Disable
    Hold off entry to stop mode: No 
    Rx Idle: Disable
.*/
#define SCI_2_SCIBR_INIT                  0x0A27U
#define SCI_2_SCICR_INIT                  0x000CU
#define SCI_2_SCICR2_INIT                 0x0000U
#define SCI_2_RX_BUFFER_OKLIMIT           0x000FU
#define SCI_2_RX_BUFFER_LOWLIMIT          0x000AU
#define SCI_2_SCICR3_INIT                 0x0000U

/*.
    FMSTR Configuration
--------------------------------------------
.*/
#define FMSTR_COMM_INTERFACE              7
#define FMSTR_LONG_INTR                   0
#define FMSTR_SHORT_INTR                  0
#define FMSTR_POLL_DRIVEN                 1


/*.         End of autogenerated code
********************************************************************** ..*/

#endif
