/*
 * Copyright 2015 Freescale Semiconductor, Inc.
 * Copyright 2015-2021 NXP.
 *
 * License: LA_OPT_NXP_Software_License
 *
 * This software is owned or controlled by NXP and may
 * only be used strictly in accordance with the applicable license terms.
 * By expressly accepting such terms or by downloading, installing,
 * activating and/or otherwise using the software, you are agreeing that
 * you have read, and that you agree to comply with and are bound by,
 * such license terms. If you do not agree to be bound by the applicable
 * license terms, then you may not retain, install, activate or otherwise
 * use the software.
 *
 * @version 4.1 
 *
 * @brief common header file for class B library, dedicated for MC65F83xxx, MC56F81xxx
 */

#ifndef _IEC60730B_
#define _IEC60730B_

/******************************************************************************
* Error codes for tests
******************************************************************************/
#define FS_CPU_FAIL_CODE      0x0100
#define FS_PC_FAIL_CODE       0x0200
#define FS_FLASH_FAIL_CODE    0x0300

#define FS_STACK_FAIL_CODE    0x0500
#define FS_CLK_FAIL_CODE      0x0600
#define FS_AIO_FAIL_CODE      0x0700
#define FS_DIO_FAIL_CODE      0x0800
#define FS_TSI_FAIL_CODE      0x0900

#define FS_STACK_PASS    0x0000
#define FS_STACK_FAIL    FS_STACK_FAIL_CODE + 0x01 


#define FS_RAM_FAIL_CODE    0x0400
#define FS_RAM_PASS         0x0000
#define FS_RAM_FAIL         FS_RAM_FAIL_CODE + 0x01  
/******************************************************************************
* Includes
******************************************************************************/
/* Macros for IDEs */

/* Include type definitions and safety routines */
#include "iec60730b_core.h"
#include "iec60730b_dsc_aio.h"
#include "iec60730b_dsc_clock.h"
#include "iec60730b_dsc_dio.h"
#include "iec60730b_dsc_dio_ext.h"
#include "iec60730b_dsc_wdg.h"

#endif /* _IEC60730B_ */
